/* ====================================================================
 * Copyright (c) 2003-2007, 2009  Martin Hauner
 *                                http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */
#ifndef _SC_UTILITY_H
#define _SC_UTILITY_H

// qt
#include <QtCore/QString>

void setAppName( const QString& );

QString getDataDir();
QString getIconDir();
QString getMergePath();
QString getAppName();
QString getLongAppName();

void setPluginPath();
void initStackProcess();
void stopStackProcess();
void initStackThread();
void stopStackThread();

void setDumpOnException( bool b );
bool getDumpOnException();

void setLocale();
void enableLocale( bool enable );

QString getDateFormat();

void setNeonVersion( const char* v );
QString getNeonVersion();
void setSerfVersion( const char* v );
QString getSerfVersion();

#endif // _SC_UTILITY_H
